Name:		Panini	
Version:	0.71.104
Release:	10%{?dist}
Summary:	A tool for creating perspective views from panoramic and wide angle images

Group:		Applications/Multimedia
License:	GPLv3+
URL:		http://sourceforge.net/projects/pvqt/
Source0:	http://downloads.sourceforge.net/pvqt/%{name}-%{version}-src.zip
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch1:		panini-qmake-link-FTBFS-patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	qt4-devel >= 4.4.2, desktop-file-utils

%description
Panini can load most common photo and panoramic formats from image files such
as those created with hugin or QuickTimeVR (QTVR .mov) files.  Like all pano
viewers, it then shows a linear perspective view that can be panned and zoomed.
But Panini can also display a range of wide angle perspectives via the
stereographic and "Pannini" vedutismo families of projections, and shift,
rotate, and stretch the image like a software view camera.

%prep
%setup -q -n %{name}-%{version}-src
%patch1 
%{qmake_qt4} panini.pro

for txt in *.txt ; do
	sed 's/\r//' $txt > $txt.new
	touch -r $txt $txt.new
	mv $txt.new $txt
done

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 755 -p %{name} %{buildroot}%{_bindir}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -p -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Richard Hughes <richard@hughsie.com> -->
<!--
BugReportURL: https://sourceforge.net/p/pvqt/feature-requests/5/
SentUpstream: 2014-09-17
-->
<application>
  <id type="desktop">Panini.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <name>Panini</name>
  <summary>Create perspective views from panoramic and wide angle images</summary>
  <description>
    <p>
      Panini is a tool for creating perspective views from panoramic and wide angle images.
    </p>
    <p>
      Panini can load most common photo and panoramic formats from image files such
      as those created with hugin or QuickTimeVR (QTVR .mov) files.  Like all pano
      viewers, it then shows a linear perspective view that can be panned and zoomed.
      But Panini can also display a range of wide angle perspectives via the
      stereographic and "Pannini" vedutismo families of projections, and shift,
      rotate, and stretch the image like a software view camera.
    </p>
    <p>
      Panini can do those things because it paints the picture on a three dimensional
      surface, either a sphere or a cylinder, which you then view in perspective.
      Shifting the point of view changes the apparent perspective of the image, and
      other controls let you frame the view to your liking.  Then you can save the
      screen image to a file at higher-than-screen resolution.
    </p>
  </description>
  <!-- no screenshots -->
  <url type="homepage">http://sourceforge.net/projects/pvqt/</url>
  <updatecontact>tksharpless@gmail.com</updatecontact>
</application>
EOF

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null ||:

%files
%defattr(-,root,root,-)
%doc panini-build.txt panini-usage.txt GPLversion3.txt panini-0.71-release.txt
%{_bindir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/*

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.71.104-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.71.104-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.71.104-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.71.104-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Feb 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.71.104-6
- use %%qmake_qt4 macro to ensure proper build flags

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.104-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.71.104-4
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 0.71.104-3
- Add an AppData file for the software center

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.104-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jul 20 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.71.104-1
- Updated to latest upstream release

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.103-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.103-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.103-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 28 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.71.103-8
- Update FTBFS patch to include libGLU: rhbz#843252

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.103-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.103-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.103-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 14 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.71.103-4
- fix for FTBFS # 565127

* Fri Jul 24 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.71.103-3
- used png for icon
* Thu Jul 23 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.71.103-2
- Corrected License tag
- used icon from source
* Fri Jul 17 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.71.103-1
- initial rpm build with new source with clearified License.
* Wed Jul 8 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.71.102-1
- Initial RPM build
